#include <myx/backports/qt/common.hpp>
#include <myx/core/config.hpp>

#include <myx/qt/message_logger_default.hpp>

#include <QtDebug>

namespace myx {

namespace qt {

void MessageLoggerDefault::debug( const QMessageLogContext& context, const QString& msg )
{
	Q_UNUSED( context )
	fprintf( stderr, "D: %s\n", msg.toUtf8().data() );
}


void MessageLoggerDefault::info( const QMessageLogContext& context, const QString& msg )
{
	Q_UNUSED( context )
	fprintf( stderr, "I: %s\n", msg.toUtf8().data() );
}


void MessageLoggerDefault::warning( const QMessageLogContext& context, const QString& msg )
{
	Q_UNUSED( context )
	fprintf( stderr, "W: %s\n", msg.toUtf8().data() );
}


void MessageLoggerDefault::critical( const QMessageLogContext& context, const QString& msg )
{
	Q_UNUSED( context )
}


void MessageLoggerDefault::fatal( const QMessageLogContext& context, const QString& msg )
{
	Q_UNUSED( context )
}

} // namespace qt

} // namespace myx
